---
updatedAt: 2026-09-11T21:42:41.000Z
agentTools:
  projectIndex: https://vendy.readme.io/llms.txt
---

# Welcome!

Welcome to Vendy's API documentation.

Hi! You can use our APIs to make and receive payments offline and online via a variety of payment channels.

1. To learn more about Vendy click [here](https://dash.readme.com/project/vendy/v1.0/refs/about-vendy).

2. Create a [vendy ](https://vendy.money/)account and sign up if you haven't.

3. For further information about payments, visit the [payment transaction overview](https://dash.readme.com/project/vendy/v1.0/refs/payments-transaction).

4. Click [here](https://dash.readme.com/project/vendy/v1.0/refs/webhooks) to create Webhooks.

5. Are you a merchant and would like to create a business or business on the platform click [here](https://dash.readme.com/project/vendy/v1.0/refs/business).

6. To learn about the different payout processes click [here](https://dash.readme.com/project/vendy/v1.0/refs/payouts).

7. You can learn more about wallets [here](https://dash.readme.com/project/vendy/v1.0/refs/wallets).

8. Visit the [API overview](https://dash.readme.com/project/vendy/v1.0/refs/api-overview) section to learn about our APIs.

9. Want to know the differences between our APIs? Then click [here](https://dash.readme.com/project/vendy/v1.0/refs/api-differences).

### API Environments

Vendy API operates in two environments: live and staging.

| Environment Host   | Usage                                                                              | URL                               |
| :----------------- | :--------------------------------------------------------------------------------- | :-------------------------------- |
| **Sandbox API**    | For development purposes and to test Vendy's features without affecting real data. | <https://api.staging.myvendy.com> |
| **Live API**       | To access real-time data when your product is ready to live                        | <https://api.myvendy.com>         |
| **Live Dashboard** | Sign up on the live dashboard when you're ready to go live                         | <https://dashboard.myvendy.com>   |

### API Interaction

#### Requests

The Vendy API accepts POST and GET requests. Your requests must follow these formal requirements:

* Authenticate with both `AccessKey` and `SecretKey` headers (aliases: `x-access-key`/`x-secret-key`, `accesskey`/`secretkey`, `access_key`/`secret_key`).
* The content-type header must be application/json.
* The request body must be in valid JSON format.

#### Responses

The Vendy API responds with HTTP codes to indicate status and errors. The API provides all responses in standard JSON format.

#### Null fields

When no information is present, data fields may return null values:

```Text JSON
{
    "status": true,
    "code": 200,
    "msg": "Transaction Sent",
    "data": {
      "refid": "1238912318231238"
    }
}
```